Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

hola,

a ver si alguien me puede ayudar,
he intentado pasar de la version de Linux Mint Sylvia 18.3 a Tina 19.2,
y al arrancar me sale este error ->
unable to launch "cinnamon-session-cinnamon" X session "cinnamon-session-cinnamon" not found
he entrado a la consola con ctrl+alt+f1 y
he intentado instalar nemo y cinnamon, pero nada,
me salen errores de paquetes rotos y/o dependencias no satisfechas,
he probado de todo, pero nada,
sigue sin arrancar,

saludos,
Last edited by JCSenar on Tue Dec 03, 2019 9:56 am, edited 1 time in total.
Reason: Título corregido

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: perdido entorn o gráfico

Post by JOPETA »

santinux wrote:
Tue Dec 03, 2019 4:53 am
he intentado pasar de la version de Linux Mint Sylvia 18.3 a Tina 19.2,
La pregunta es ¿cómo has intentado hacerlo?. Si fué de LM 18.3 a LM 19 con mintupgrade siguiendo el tutorial y luego de LM 19 a LM 19.2 de forma asistida (Administrador de actualizaciones>Editar>Actualizar a LM 19.2) ¿te dió algún error en algún paso?, Si fué de otra forma (mediante comandos en la terminal) siguiendo algún tutorial ¿cual?.

(Editado)
Last edited by JOPETA on Tue Dec 03, 2019 11:49 am, edited 3 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: perdido entorn o gráfico

Post by santinux »

Hola

Lo hice desde consola, ya que no encontré la opción asistida.
Pasos:
Sudo apt-get update
Sudo apt-get upgrade
Sudo sed -i ‘s/sylvia/tara/g’ /etc/apt/sources.list
Sudo sed -i ‘s/sylvia/tara/g’ /etc/apt/sources.list.d/
offial-package-repositories.list
Sudo apt-get update
Sudo apt-get upgrade
Sudo apt-get dist-upgrade
Sudo reboot

Y ya no he podido acceder más

Saludos

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

Ahora que me fijo bien (esta mañana necesitaba otro café y he editado mi post anterior) me parecia un salto muy grande de LM 18.3 a LM19.2 (tara es LM 19 no LM 19.2 tina que mencionas en el primer post y título) aún así tal vez ahorres tiempo reinstalando desde cero ,salvo que tengas hecha una instantanea con Timeshift en cuyo caso deberías usarla. :roll:

En caso contrario te espera una larga tarea:
-empezando por comprobar que tienes instalado lightdm y no mdm (apartado C4 del tutorial referido),

-comprobar que tienes correctos los repositorios oficales: debes reemplazar tambien xenial por bionic

-tambien en los repositorios adicionales y PPAs y estos no van a dar mas que problemas y posiblemente no existan algunos o hayan cambiado osea mejor pensar en eliminarlos ya que tampoco las claves de accesos te van a servir...),

-comprobar algúnos archivos en el /etc ( issue, issue.net, y lsb-release que yo recuerde), el /usr/lib/os-release

-repetir el apt upgrade&&dist-upgrade reparando paquetes rotos y dependencias,
(...)
-para terminar con un sistema inestable con temas incompatibles al igual que los applets y desklets... :(
Last edited by JOPETA on Tue Dec 03, 2019 2:23 pm, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

Ok gracias
Lo comprobaré e informaré

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Actualización asistida de Linux Mint

Post by JOPETA »

Nunca está de más aclarar esto en algún punto así que aprovecho, además está a punto (cuando salga :D ) el lanzamiento de LM 19.3 y mas de uno estará pensando en esto.
santinux wrote:
Tue Dec 03, 2019 9:12 am
Lo hice desde consola, ya que no encontré la opción asistida....
La actualización asistida en Linux Mint que recoge la sección correspondiente (Instalación e Inicio>Actualización) de la Relación de tutoriales, son de dos tipos, ambas irreversibles (a no ser a través de la restitución de una captura del sistema realizada con Timeshift por lo que se recomienda hacerla antes de proceder):
1)Para actualizar de una edición punto a otra ( de LM X.Y a LM X.Y+1 ) a través del Administrador de Actualizaciones>Editar>Actualizar a Linux Mint X.Y.
Conforme se realizan los lanzamientos de nuevas ediciones punto se reemplaza la versión ofrecida dejando de estar disponible la anterior.

No obstante quien desee recuperar la posibilidad de actualizar a una edición punto posterior, sin ser la última (por ejemplo de LM 19 a LM 19.1) sólo tendrá que forzar al instalación del paquetes correspondientes (mint-upgrade-info) desde el histórico de github.

En el blog se realiza el anuncio cuando están disponibles (también reproducido en la página de inicio de la web ) y los tutoriales del propio Clem para cada una de ellas.

Las diferencias en la forma de proceder son muy puntales y carece de interés traducirlas todas. También por eso se decidió interrumpir las traducciones para LM 19,X. Ya veremos la próxima de LM 19.2 a LM 19.3 cuando se publique.

Por ahora se ha traducido sólo el paso de LM .X.Y a LM X.3 con el título de cómo actualizar a Linux Mint X.3
2)Para actualizar entre ediciones con diferente base de Ubuntu (de LM X a LM Y) y el desarrollador prepara una aplicación (mintupgrade) que permite la prueba antes de hacerla .
En este caso debes partir de la última edición punto (LM X.3 ) completamente actualizada.

Los cambios son mas radicales y por ello seguiremos traduciéndolas en lo posible bajo el título de cómo actualizar a Linux Mint X
Recordar que, no es necesario actualizar si se está contento con la edición actual. Aunque sea una edición punto anterior tendrá la misma duración de soporte que la última edición punto, Eso si el soporte de una edición basada en un Ubuntu anterior (LM X-Y) acabará dos años antes que el de la edición basada en el Ubuntu posterior (LM X+1 ).

También recordar que siempre que se pueda ,lo recomendable es la instalación limpia (desde cero), previa copia y posterior restitución de los archivos personales y configuraciones que se describe en Cómo actualizar a una edición mas reciente..

Sobre todo aquellos que quieran actualizar desde una edición basada en un Ubuntu anterior deben pensar si les trae a cuenta. Por ejemplo actualizar desde LM18.1 a LM 19.2. suponen tres actualizaciones seguidas de LM 18.1 a LM 18.3>LM19>LM19,2. karlchen ha tenido la santa paciencia de demostrarla la cantidad de problemas que tuvo/hay que superar en el camino de actualizar de LM 17.1 a la LM 19. Como bien aclara no lo hizo con su instalación de trabajo sino con una instalación de pruebas...no está tan loco :D

Sólo en el caso de sistemas especiales y/o circunstancias muy especificas y reservadas para usuarios avanzados, es preciso recurrir a la actualizacion mediante APT (terminal pura y dura) o algunas alternativas que también se comentan de forma genérica en post dedicado,
Last edited by JOPETA on Wed Jan 15, 2020 1:30 am, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

hola,

he comprobado el primer paso que me citabas,
y efectivamente tengo lightdm -> /usr/sbin/lightdm
¿como compruebo el siguente paso? -> comprobar si están correctos los repositorios oficiales, y reemplazar xenial por bionic...

saludos,

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

Mi intención era desanimarte, es decir que consideraras la instalación desde cero para ganar tiempo y garantizar resultados, no servirte de guía en el proceso de intentar poner a tono un sistema tocado y posiblemente hundido.

Sólo tienes que ver la cantidad de hilos existentes para saber que tras muchos post y retoques no suele acabar bien, a veces tampoco un simple upgrade (mas en LM18.X donde todavía se reaiizan las actualizaciones filtradas por políticas) dependiendeo de lo que tengas instalado y su precedencia (repositorios adicionales y ppas). No sólo los respositorios externos. Piensa que un instalación de LM 18.3 madura puede tener instaladas versiones de software y librerias mas actuales que las existentes en el respositorio oficial de LM 19 o LM 19.2.

Parece que has leido el Tutorial cómo actualizar a LM19 . La prueba del mintupgrade (mintupgrade check), va encaminada a detectar ese software incompatibie que es necesario eliminar previamente ya que al final conduce a un fiasco de actualización y volver a instalarlo después. Incluso desactivando efectos visuales, cargando el tema por defecto, instalando los controladores libre de la gráfica,...,se debe correr varias veces hasta obtener resultados satisfactorios. Muchos usuarios, como yo en mi actualización a LM 18, desisten en este punto viendo la cantidad y tipología de software a desinstalar y volver a instalar. En fin una pérdida de tiempo, aunque fuera bien, si finalmente tienes que volver a instalar repositorios y software...

Ni siquiera el upgrade asistido mediante mintupgrade es recomendable para usuarios que no tengan una cierta soltura con apt.

Sobre tu pregunta, uno de los códigos que introdujiste en el upgrade va encaminado a modificar el repositorio oficial cuyo contenido puedes ver con cat /etc/apt/sources.list.d/official-package-repositories.list.

Si ejecutas en la consola inxi -Fnznr podrás no sólo identificar la ubicación y listados de repositorios que tienes que modificar/eliminar, también otras cosas que pueden no cuadrar. Puedes devolver si quieres el resultado de este código ligeramente modificado para compartir, es decir la url resultante de

Code: Select all

inxi -FxrRduploc0 | pastebin
.
Last edited by JOPETA on Wed Jan 15, 2020 1:43 am, edited 2 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

hola,

te paso el url del inxi último -> http://termbin.com/furn

si realmente lo ves muy complicado, consideraré reinstalar,

saludos,

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

Echando un ojo al listado me asaltan todas las dudas respecto a si has instalado algo realmente procendente de los repositorio de LM 19 (finalmente parece ser que era tara, ni tessa, ni tina ) ¿o sólo tiene ese nombre a consecuencia de un cambio en los archvios del /etc/ que te he comentado en un post anterior.?.

Code: Select all

System:    Host: santserver Kernel: 4.15.0-70-generic x86_64 (64 bit gcc: 5.4.0) Console: tty 1
           Distro: Linux Mint 19 Tara
Machine:   Mobo: ASUSTeK model: P7H55 v: Rev X.0x Bios: American Megatrends v: 0901 date: 11/12/2010
CPU:       Dual core Intel Core i3 540 (-HT-MCP-) cache: 4096 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 12310
           clock speeds: max: 3067 MHz 1: 1311 MHz 2: 1415 MHz 3: 1503 MHz 4: 1577 MHz
Graphics:  Card: NVIDIA G98 [GeForce 8400 GS Rev. 2] bus-ID: 01:00.0
           Display Server: X.org 1.18.4 drivers: nouveau (unloaded: fbdev,vesa)
           tty size: 160x64 Advanced Data: N/A out of X
Audio:     Card Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel bus-ID: 00:1b.0
           Sound: Advanced Linux Sound Architecture v: k4.15.0-70-generic
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: d800 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 1000 Mbps duplex: full mac: bc:ae:c5:b6:c1:2e
Drives:    HDD Total Size: 1000.2GB (22.9% used) ID-1: /dev/sda model: ST3500418AS size: 500.1GB
           ID-2: /dev/sdb model: ST3500418AS size: 500.1GB
           Optical: /dev/sr0 model: HL-DT-ST DVDRAM GH22NS50 rev: TN02 dev-links: cdrom,cdrw,dvd,dvdrw
           Features: speed: 48x multisession: yes
           audio: yes dvd: yes rw: cd-r,cd-rw,dvd-r,dvd-ram state: running
Partition: ID-1: / size: 455G used: 210G (49%) fs: ext4 dev: /dev/sda1
           label: N/A uuid: 2f1ec08d-6ff5-4a1e-89ab-019f21a8c7b7
           ID-2: swap-1 size: 4.28GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
           label: N/A uuid: 99c2f35b-49b0-4054-bc9a-f9c4dbf9d2ad
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Unmounted: ID-1: /dev/sdb1 size: 500.10G label: Nuevo vol uuid: 1492C67A92C6603A
Sensors:   System Temperatures: cpu: 30.0C mobo: 17.0C gpu: 42.0
           Fan Speeds (in rpm): cpu: 981 psu: 1102 sys-1: 0
Repos:     Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
           deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main
           Active apt sources in file: /etc/apt/sources.list.d/atareao-atareao-xenial.list
           deb http://ppa.launchpad.net/atareao/atareao/ubuntu xenial main
           deb-src http://ppa.launchpad.net/atareao/atareao/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/djcj-hybrid-xenial.list
           deb http://ppa.launchpad.net/djcj/hybrid/ubuntu xenial main
           deb-src http://ppa.launchpad.net/djcj/hybrid/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com tara main upstream import backport
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/opera-stable.list
           deb https://deb.opera.com/opera-stable/ stable non-free #Opera Browser (final releases)
           Active apt sources in file: /etc/apt/sources.list.d/pbek-qownnotes-xenial.list
           deb http://ppa.launchpad.net/pbek/qownnotes/ubuntu xenial main
           deb-src http://ppa.launchpad.net/pbek/qownnotes/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/skype-stable.list
           deb [arch=amd64] https://repo.skype.com/deb stable main
           Active apt sources in file: /etc/apt/sources.list.d/sublime-text.list
           deb https://download.sublimetext.com/ apt/dev/
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-sublime-text-3-xenial.list
           deb http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu xenial main
           deb-src http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu xenial main
Info:      Processes: 145 Uptime: 9 min Memory: 1705.3/7966.5MB Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.481) inxi: 2.2.35
Otra gran duda es la presencia del kernel 4.15.0-70, ¿estaba presintalado (lo hiciste tu) antes del upgrade?

Lo peor es caer en un upgrade a medias, es decir que llegaras a instalar sólo unos cuantos paquetes, suficientes para no poder volver atras y obligarte a ir hacia adelante con el upgrade o resintalar desde cero. Asumiendo que no has cambiado a tara después del intento de upgrade, puedes comprobar si esto ha sido asi con apt list --installed | grep tara | pastebin

Si no parecen líneas refrentes a tara, deberán aparecer todos los paquetes instalados para la versión de Sylvia (apt list --installed | grep sylvia | pastebin) En tal caso y si confirmas que el kernel 4.15.0-70 lo tenias tu preinstaldo antes del upgrade, tal vez puedas volver a atrás si fracasó el upgrade.
santinux wrote:
Wed Dec 04, 2019 11:08 am
si realmente lo ves muy complicado, consideraré reinstalar,
La pregunta por activa y por pasiva está constestada y te olvidas de que tambien es una cuestión de dedicación y tiempo (salvar los archivos personales desde un live y reinstalar es mas rápido). En cualquier caso no soy yo el que lo debe ver complicado sino tú. Es tu sistema y ya que vas a estar tu solo ante la consola de texto ¿Te ves capaz de enfrentarte a los diferentes pasos que te comenté en el post?.

Por ejemplo si el resultado anterior incluye paquetes de tara y tu no instalaste el kernel 4.15.0-70 antes del ugrade, si no quisieras reinstalar desde cero (sin ninguna garantía de que el upgrade finalmente falle por otros motivos) tendrías que cambiar todos las referencias a xenial por bionic en el repositorio oficial, como administrador desde la consola con vim o nano ( por ejemplo sudo nano /etc/apt/sources.list.d/official-package-repositories.list, no te olvides de guardar (Ctrl+O presionar intro) antes de salir (Ctrl+X)

Ademas debes anular o borrar los repositorios no oficales que aparecen en el listado que apuntan a Ubuntu xenial (deberás reisntalarlos después del upgrade).Por ejemplo sudo nano /etc/apt/sources.list.d/additional-repositories.list añadir el simbolo # al inicio de la linea de wine (#deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main), guardar y salir del editor.

Repite el proceso para las dos líneas del atareo (/etc/apt/sources.list.d/atareao-atareao-xenial.list), /etc/apt/sources.list.d/djcj-hybrid-xenial.list, /etc/apt/sources.list.d/pbek-qownnotes-xenial.list y /etc/apt/sources.list.d/webupd8team-sublime-text-3-xenial.list. Tengo mis dudas con Opera,Skype y Sublime-text ya que también se cambia de base Debian y ante las dudas proceder de igual forma, desactivando sus respectivas líneas.

Luego sigue con la comprobación del los archivios mencionados en el /etc para que se identifiquen de forma correcta a Linux Mint y tara y finalmente respite el upgrade&&dis-upgrade o lo que es lo mismo apt full-upgrade
Last edited by JOPETA on Thu Dec 05, 2019 7:24 am, edited 2 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

hola,

te paso el link de apt list --installed | grep tara | pastebin -> http://termbin/zeh1
tambien he hecho con sylvia, apt list --installed | grep tara | pastebin -> http://termbin/cn21

att,

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

Por lo que sea no tengo acceso a esas páginas. Podría usar apt list --installed | grep tara | nc termbin.com 9999.De todas fromas con que lo confirmes tu valdría y también tienes otras cosas que comentar ¿no?. :roll:
Last edited by JOPETA on Thu Dec 05, 2019 1:56 pm, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
JCSenar
Level 10
Level 10
Posts: 3218
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JCSenar »

santinux wrote:
Thu Dec 05, 2019 5:45 am
te paso el link de apt list --installed | grep tara | pastebin -> http://termbin/zeh1
tambien he hecho con sylvia, apt list --installed | grep tara | pastebin -> http://termbin/cn21
Servidor no encontrado.

En ninguno de los dos.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

Hola

He repetido los apt list
https://termbin.com/7m5s
https://termbin.com/xpob
También he editado los ficheros que me dijiste
Acto seguido el apt full-upgrade

Saludos

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

Como ves el upgrade no se completó por algún motivo (dependencias insatisfechas al apuntar a xenial probablemente).

Por otra parte, te olvidas de comentar el tema del Kernel , si lo tenías instalado antes del primer intento de upgrade. Con el full-upgrade debería instalarse el 4.15.0-72 . . Presta esta vez atención a la terminal (errores y recomendaciones) sobe todo las relativas a --configure que implican que debes ejecutar sudo dpkg --configure (el paquete que sea) y ya nos contarás como te va...Suerte. :wink:

Después de que el upgrade finalice y puedas definitivamente iniciar sesión con el nuevo Mint, tendrás que resolver otros posibles problemas mira en este post (apartado MintUpgrade to Mint 19 Aftercare and Troubleshooting) y siguientes para orientaciones. :roll:
Last edited by JOPETA on Fri Dec 06, 2019 2:37 pm, edited 2 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

Gracias,

Lo pruebo y comento,

Saludos

User avatar
tomeu
Level 5
Level 5
Posts: 941
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by tomeu »

Solo apuntar dos opiniones en este tema:

1.- En los saltos de versión, o el update sale perfecto (que realmente siempre hay que pulir algo luego) o mejor instalación limpia.

En este caso sería conveniente seguir la sugerencia de JOPETA e instalar desde cero.

2.- Siguiendo el manual, creo recordar que a mi me apareció la opción de 19.2 y no la de 19.

La situación fue con un macbook negro (de esos de cuando Steve Jobs iba en pantalones cortos) donde había logrado (y no sé cómo) ponerle LM 18 Mate 32 b.
Las actualizaciones punto se hicieron sin problemas, pero para pasar a la 19 (está claro que es para juguetear y no es una máquina productiva) lo intenté hacer desde cero y me resultaba imposible que arrancara desde el live-usb ni desde un live-cd.
Hice la actualización siguiendo el manual y salió muy bien. Y estoy convencido que no pasé ni por LM 19 ni 19.1 antes de tener la 19.2 :shock:
Image
Linux Mint Tricia 19.3 64bits Cinnamon
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

User avatar
JOPETA
Level 16
Level 16
Posts: 6110
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by JOPETA »

tomeu wrote:
Sun Dec 08, 2019 2:40 am
2.- Siguiendo el manual, creo recordar que a mi me apareció la opción de 19.2 y no la de 19.
(...)
Hice la actualización siguiendo el manual y salió muy bien. Y estoy convencido que no pasé ni por LM 19 ni 19.1 antes de tener la 19.2 :shock:
Resulta un poco confuso, pero viendo la codificación aquí, está claro que mintupgrade, la actualización asistida entre ediciones principales, o una instalación desde cero con el Live de LM 19 no ofrece la posibilidad de pasar directamente a una edición punto, solo a LM19.

Por lo tanto creo que te refieres a que después del upgrade/instalación desde cero de LM 19 el Administrador de Actualizaciones>Editar te ofrecía Actualizar a Linux Mint 19.2. (no te ofrecía actualizar a LM 19.1).

Esto lo he comentado en este post. La oferta se limita a la versión punto vigente, es decir el último lanzamiento, no la siguiente a la instalada. Desde primeros de agosto del sólo ofrece actualizar a LM 19.2, de la misma forma que desde agosto del año pasado no ofrece mas que la posibilidad de actualizar a LM 18.3 con independencia de que tengas instalado LM18 o LM 18,1.

También he remarcado la posibilidad de poder actulizar a ediciones punto intermedias descargando e instalando el correspondiente mintupdate-info desde el histórico del github.

Esto lo tuve que aplicar (descargar e instalar la versión cdel mintupdate-info correspondiente a la actualización a LM 18.1 ya que a partir de la 18.2 mi tema preferido resulta incompatible con la versión de cinnamon. Recuerda que fue la actualización que era abiertamente incompatible con numerosos, applets, desklets y temas anteriores y el desarrollador hizo un purga intensa del cinnamon spices.
Last edited by JOPETA on Mon Dec 09, 2019 8:12 pm, edited 4 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
tomeu
Level 5
Level 5
Posts: 941
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by tomeu »

JOPETA wrote:
Sun Dec 08, 2019 5:23 am
Por lo tanto creo que te refieres a que despues del upgrade/instalción desde cero de LM 19 el Administrador de Actualizaciones>Editar te ofrecia la Actualizar a Linux Mint 19.2. (no te frecía actualizar a LM 19.1).
Pues, ya que lo dices, perfectamente debió ser eso. Recuerdo que me extrañó no tener que hacer toda la travesía :mrgreen:
Image
Linux Mint Tricia 19.3 64bits Cinnamon
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

santinux
Level 1
Level 1
Posts: 9
Joined: Mon Dec 02, 2019 2:03 pm

Re: Perdido entorno gráfico actualizando de LM 18.3 a LM 19.2

Post by santinux »

hola,

finalmente no he tenido más remedio que instalar de cero,
ya que los errores eran constantes,

gracias de todos modos,

saludos,

Post Reply

Return to “Español (Spanish)”